Bug 13890 - Full serial permission is needed to change sequence on a routing list
Summary: Full serial permission is needed to change sequence on a routing list
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-22 21:06 UTC by Katrin Fischer
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13890 - Switch from full serials permission to 'routing' permission for reordering routing lists (1.66 KB, patch)
2015-03-22 21:10 UTC, Katrin Fischer
Details | Diff | Splinter Review
[Signed-off] Bug 13890 - Switch from full serials permission to 'routing' permission for reordering routing lists (1.84 KB, patch)
2015-03-23 06:43 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13890 - Switch from full serials permission to 'routing' permission for reordering routing lists (1.81 KB, patch)
2015-03-27 12:38 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-03-22 21:06:58 UTC
For changing the sequence of patrons on a routing list by changing one of the numbers via the pull downs, full serial permission is needed:

reorder_members.pl:
checkauth( $query, 0, { serials => 1 }, 'intranet' );

To test:
- Give your patron full serial permissions
- Create a subscription and a routing list for it
- Change the sequence on the routing list using the pull downs
- Verify this works
- Remove any of the serial sub permissions
- Verify changing the sequence now results in a permission error
Comment 1 Katrin Fischer 2015-03-22 21:10:57 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-03-23 06:43:54 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-03-27 12:38:49 UTC
Created attachment 37309 [details] [review]
[PASSED QA] Bug 13890 - Switch from full serials permission to 'routing' permission for reordering routing lists

For changing the sequence of patrons on a routing list by changing
one of the numbers via the pull downs, full serial permission is needed:

To test:
- Give your patron full serial permissions
- Create a subscription and a routing list for it
- Change the sequence on the routing list using the pull downs
- Verify this works
- Remove any of the serial sub permissions (claim serials or similar)
- Verify changing the sequence now results in a permission error
- Apply patch
- Verify that the permission error is gone now
- Remove the routing permission
- Verify the permission error is back (but this seems to make sense)

In general more fixes would be required to make all routing related
features depend on the routing permission, but I think this fixes
the bug making it depend on the correct permission.

Followed test plan. Works as expected.
Signed-off-by: Marc Veron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2015-03-31 14:39:07 UTC
Patch pushed to master.

Thanks Katrina!
Comment 5 Chris Cormack 2015-04-06 07:03:05 UTC
Pushed to 3.18.x will be in 3.18.6